This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 541807 - Review Request: rubygem-ParseTree - Extracts the parse tree for a class/method and returns an s-expression
Review Request: rubygem-ParseTree - Extracts the parse tree for a class/metho...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 540791 541185 541512
Blocks: 542559
  Show dependency treegraph
 
Reported: 2009-11-27 00:19 EST by Matthew Kent
Modified: 2010-09-10 14:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.0.4-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-08 02:59:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Kent 2009-11-27 00:19:01 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-ParseTree.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-ParseTree-3.0.4-1.fc13.src.rpm
Description: ParseTree is a C extension (using RubyInline) that extracts the parse tree for an entire class or a specific method and returns it as a s-expression (aka sexp) using ruby's arrays, strings, symbols, and integers.

mkent@fedora-devel-chef:~/rpmbuild/SPECS$ rpmlint rubygem-ParseTree.spec /var/tmp/results/rubygem-ParseTree-*
rubygem-ParseTree-doc.noarch: W: no-documentation
rubygem-ParseTree-doc.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/ParseTree-3.0.4/.autotest
rubygem-ParseTree-doc.noarch: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/ParseTree-3.0.4/ri/ParseTreeGauntlet/should_skip%3f-i.yaml %3f
3 packages and 1 specfiles checked; 0 errors, 3 warnings
Comment 1 Matthew Kent 2009-11-30 01:55:57 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-ParseTree.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-ParseTree-3.0.4-2.fc13.src.rpm

* Sun Nov 29 2009 Matthew Kent <mkent@magoazul.com> - 3.0.4-2
- Exclude gauntlet_rubyparser.rb as it introduces a circular dependency.
Comment 2 Matthew Kent 2009-11-30 04:33:20 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-ParseTree.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-ParseTree-3.0.4-3.fc13.src.rpm

* Mon Nov 30 2009 Matthew Kent <mkent@magoazul.com> - 3.0.4-3
- Remove exclude for gauntlet_parsetree.rb, let user deal with dependencies if
  they need it.
Comment 3 Mamoru TASAKA 2009-12-02 13:16:19 EST
Some notes:

* Version specific dependency
  - I don't think ">= 3.7.0" ">= 3.0.0" is needed (as all rpms shipped
    on Fedora satisfies this dependency)
    ref:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

! demo
  - I tried demo program, then:
-------------------------------------------------------------------
[tasaka1@localhost ~]$ /usr/lib/ruby/gems/1.8/gems/ParseTree-3.0.4/demo/printer.rb
/usr/lib/ruby/gems/1.8/gems/ParseTree-3.0.4/demo/printer.rb:20: uninitialized constant ParseTree (NameError)
-------------------------------------------------------------------
    I don't know well the usefulness of this script, however
    at least "require 'parse_tree'" is missing.
Comment 4 Matthew Kent 2009-12-04 01:06:31 EST
Thank you for the review.

(In reply to comment #3)
> Some notes:
> 
> * Version specific dependency
>   - I don't think ">= 3.7.0" ">= 3.0.0" is needed (as all rpms shipped
>     on Fedora satisfies this dependency)
>     ref:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires
> 

Apologies, should have caught this.

> ! demo
>   - I tried demo program, then:
> -------------------------------------------------------------------
> [tasaka1@localhost ~]$
> /usr/lib/ruby/gems/1.8/gems/ParseTree-3.0.4/demo/printer.rb
> /usr/lib/ruby/gems/1.8/gems/ParseTree-3.0.4/demo/printer.rb:20: uninitialized
> constant ParseTree (NameError)
> -------------------------------------------------------------------
>     I don't know well the usefulness of this script, however
>     at least "require 'parse_tree'" is missing.  

Yeah certainly doesn't look finished or useful at the moment, I'll exclude it with a note.
Comment 5 Matthew Kent 2009-12-04 01:07:11 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-ParseTree.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-ParseTree-3.0.4-4.fc13.src.rpm

* Thu Dec 3 2009 Matthew Kent <mkent@magoazul.com> - 3.0.4-4
- Drop needless versions from Requires (#541807).
- Exclude demo/ for now as it's non functional (#541807).
Comment 6 Mamoru TASAKA 2009-12-05 13:43:12 EST
Okay.

------------------------------------------------------------
  This package (rubygem-ParseTree) is APPROVED by mtasaka
------------------------------------------------------------
Comment 7 Matthew Kent 2009-12-05 14:08:00 EST
New Package CVS Request
=======================
Package Name: rubygem-ParseTree
Short Description: Extracts the parse tree for a class/method and returns an s-expression
Owners: mkent
Branches: F-11 F-12
InitialCC:
Comment 8 Kevin Fenzi 2009-12-06 18:24:41 EST
cvs done.
Comment 9 Fedora Update System 2009-12-08 00:13:52 EST
rubygem-ParseTree-3.0.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-ParseTree-3.0.4-4.fc11
Comment 10 Fedora Update System 2009-12-08 00:14:23 EST
rubygem-ParseTree-3.0.4-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-ParseTree-3.0.4-4.fc12
Comment 11 Mamoru TASAKA 2009-12-08 02:59:06 EST
Closing.
Comment 12 Fedora Update System 2009-12-09 23:23:28 EST
rubygem-ParseTree-3.0.4-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-12-09 23:29:38 EST
rubygem-ParseTree-3.0.4-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Michael Stahnke 2010-09-10 14:33:22 EDT
Package Change Request
======================
Package Name: rubygem-ParseTree
New Branches: el5 el6
Owners: stahnma
Comment 15 Kevin Fenzi 2010-09-10 14:40:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.